/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-12-27 09:57:22
 * @LastEditTime: 2023-08-03 11:47:27
 * @LastEditors: dminyi 1301963064@qq.com
 * @Version: 1.0.0
 * @Description: 社区服务台账 - 列表组件
 */
import React from 'react';
import { Space } from 'dingtalk-design-mobile';
import { LocationOutlined, MeOutlined } from 'dd-icons';
import MyList from '../MyList';
import { dateFormat, searchTitle } from '../../utils/utility';

/*
*search: 对象{} //
*data: obj{} //	对象数据
*hasMore: obj{} //对象数据
*
*/

const CommunityServiceList = ({ search, data, hasMore, searchValue, getData }) => {
	// 加载更多数据	  
	  
	function handleLoadMore(callback) {
		getData({ ...search, page: search.page + 1 }, '', callback);
	}

	return (
		<MyList
			data={data}
			hasMore={hasMore}
			loadMore={handleLoadMore}
			itemDom={(item) => {
				return (
					<div className="communityService-main-item">
						<h5>{searchValue ? searchTitle(item.personName, searchValue) : item.personName}</h5>
						<div className="communityService-main-item-subtitle">
							<div>{item.sexDesc || '-'}</div>
							<div className="public-rightBorder">{item.age || '-'}岁</div>
							<div className="public-rightBorder">服务时间：{dateFormat(item.agentTime)}</div>
						</div>
						<Space style={{ '--gap': '8px' }} wrap>
							<div className="communityService-main-item-subtitle">
								<div>
									<LocationOutlined />
								</div>
								<div style={{ paddingLeft: '4px' }}>
									{item.districtName || ''}
									{item.subdistrictName || ''}
									{item.communityName || ''}
								</div>
							</div>
							<div className="communityService-main-item-subtitle">
								<div>
									<MeOutlined />
								</div>
								<div style={{ paddingLeft: '4px' }}>{item.agentUserName || '-'}</div>
							</div>
						</Space>
						<Space style={{ '--gap': '8px', marginTop: '4px' }} wrap>
							<div className="public-tag2">老年优待证</div>
							{item.result && (
								<div
									className={`public-tag2 public-tag2-${
										item.result === '21_00019-2' ? 'green' : item.result === '21_00019-3' ? 'red' : item.result === '21_00019-4' ? 'organ2' : 'blue3'
									}`}
								>
									{item.resultDesc}
								</div>
							)}
						</Space>
					</div>
				);
			}}
		/>
	);
};

export default CommunityServiceList;
